> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> Get a list of all accounts for the authenticated merchant



## OpenAPI

````yaml get /api/v1/account
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account:
    get:
      tags:
        - accounts
      summary: List accounts
      description: Get a list of all accounts for the authenticated merchant
      parameters:
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Page size (default: 30, max: 100)'
          in: query
          name: pageSize
          schema:
            type: integer
        - description: >-
            Sort fields (prefix with - for desc):
            alias,balance,pendingIn,pendingOut. Example: sort=alias,-balance
          in: query
          name: sort
          schema:
            type: string
        - description: >-
            Multiple filters can be applied with field_operator=value format.
            Fields: alias,balance,pendingIn,pendingOut. Operators: eq (equals),
            neq (not equals), gt/lt (greater/less than), like/ilike (case
            sensitive/insensitive contains). Examples:
            alias_like=john&balance_gt=100
          in: query
          name: filter
          schema:
            type: string
        - description: Search accounts by alias or currency
          in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.ListAccountsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.ListAccountsResponse:
      properties:
        accounts:
          items:
            $ref: '#/components/schemas/dto.AccountResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/httpdto.PaginationResponse'
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    dto.AccountResponse:
      properties:
        alias:
          type: string
        balance:
          type: integer
        currency:
          type: string
        id:
          type: string
        pendingIn:
          type: integer
        pendingOut:
          type: integer
        state:
          type: string
        type:
          type: string
      type: object
    httpdto.PaginationResponse:
      properties:
        next:
          description: URL of the next page (null if no next page)
          type: string
        numPages:
          description: Total number of pages
          type: integer
        page:
          description: Current page number
          type: integer
        pageSize:
          description: Number of items per page
          type: integer
        previous:
          description: URL of the previous page (null if no previous page)
          type: string
        total:
          description: Total number of elements
          type: integer
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````